# Return php.ini file paths

This function lists the php.ini file paths for the user's home directory and virtual host document roots.

Note:

  This document only applies to systems that run EasyApache 4 with MultiPHP enabled.

Important:

  When you disable the WebServer role, the system disables this function.

Endpoint: GET /LangPHP/php_ini_get_user_paths
Version: 11.136.0.13
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "php_ini_get_user_paths"

  - `module` (string)
    The name of the module called.
    Example: "LangPHP"

  - `result` (object)

  - `result.data` (object)

  - `result.data.paths` (array)
    An array of objects of php.ini file information.

  - `result.data.paths.account` (string)
    The account's name.
    Example: "allthethings"

  - `result.data.paths.documentroot` (string)
    The virtual host's document root.
    Example: "/home/allthethings/public_html"

  - `result.data.paths.homedir` (string)
    The home directory.
    Example: "/home/allthethings/"

  - `result.data.paths.main_domain` (integer)
    Whether the virtual host is the account's primary domain.
* 1 - Primary domain.
* 0 - Not the primary domain.
    Enum: 1, 0

  - `result.data.paths.path` (string)
    The name of the virtual host's php.ini file.
    Example: "php.ini"

  - `result.data.paths.type` (string)
    The record's type.
* home
* vhost
    Enum: "home", "vhost"

  - `result.data.paths.version` (string)
    The default PHP version.
- ea-php##, where ## represents the major and minor versions of PHP (for example, ea-php72 represents PHP 7.2).
- Any custom PHP package name.
    Example: "ea-php72"

  - `result.data.paths.vhost` (string)
    The name of the virtual host.
    Example: "clearly.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


